catalog.collection.unpin
Remove a pinned product from a collection (idempotent).
- Scope:
catalog.product.write - System: no
- Reachable from:
POST /v1/commands/catalog.collection.unpin(tenant credential) · MCP toolcatalog.collection.unpin· SDKclient.call('catalog.collection.unpin', …) - Events:
catalog.collection.updated
Input (JSON Schema)
Section titled “Input (JSON Schema)”{ "properties": { "collection_id": { "minLength": 1, "type": "string" }, "product_id": { "minLength": 1, "type": "string" } }, "required": [ "collection_id", "product_id" ], "type": "object"}Result (200)
Section titled “Result (200)”Open (unknown) — this command does not declare an output schema.
Errors
Section titled “Errors”validation_failed (400) · unauthorized (401) · forbidden (403) · conflict (409) · internal (500)